check-openstack-debian-image(1)

NAME
check-openstack-debian-image - check if a Debian image is up-to-date

SYNOPSIS
build-openstack-debian-image --release|-r <jessie|wheezy|stretch|buster|bullseye|bookworm|sid|unstable> [ OPTIONS ]

DESCRIPTION

The check-openstack-debian-image shell script check if the current folder contains a Debian OpenStack image that is up-to-date, by comparing the packages.list with what is currently available in the Debian repositories.

The current folder is expected to be one generated by the shell utility build-openstack-debian-image, called with the options --generate-package-list. The file debian-RELEASE-DATE-amd64-packages.list generated this way is the result of the output of:

dpkg-query -W --showformat '${source:Package} ${source:Version}

PARAMETERS

--release|-r jessie|wheezy|stretch|buster|bullseye|booksworm|sid|unstable

    Sets the release name to be installed. Currently only 5 values a possible: wheezy or jessie or stretch or buster or bullseye. or bookworm or trixie or sid or unstable.

    At the time of writing, Bookworm and Trixie are only future releases, will not work until they effectively become the new testing.

OPTIONS

--deb-mirror|-d URL

    URL of the Debian repository used to perform the check. Defaults to: http://deb.debian.org/debian

--security-mirror|-s URL

    URL of the Debian security mirror used to perform the check. Defaults to: http://security.debian.org/debian-security

AUTHORS

check-openstack-debian-image has been written by Thomas Goirand, <zigo@debian.org>.